<?php

    $mydb = new DB_MySQL('zeltlager','zeltlager','Z3ltlager3363','localhost');
    $mydb2 = new DB_MySQL('zeltlager','zeltlager','Z3ltlager3363','localhost');
    
    $mydb->query("SELECT * FROM `VerwaltungLagerplatz` ORDER BY `VerwaltungLagerplatz`.`jahr` DESC LIMIT 1");
    $row = $mydb->fetchRow();
    $aktuellesjahr = $row['jahr'];
    $lagerende = $row['ende'];
    $lagerbeginn = $row['beginn'];
    
    if (isset($_POST["submit"])) 
    {
        //Submit-Handle
        foreach($_POST['uid'] as $index => $uid) 
        {
          if ($_POST['juid'][$index] != "")
          {
            if ( strtoupper($_POST['juid'][$index]) != "NEW" )
            {
              if ( is_numeric($_POST['juid'][$index]) )
              { 
                $sql = "INSERT INTO `JubilaeumTeilnahme` (`id`, `juid`, `anmeldung_uid`, `anmeldung_gruppe`, `zeltlagerjahr`) VALUES (NULL, '". $_POST['juid'][$index] ."', '". $_POST['uid'][$index] ."', '". $_POST['gruppe'][$index] ."', '". $aktuellesjahr ."');";
                $mydb->query($sql);
                
                $sql = "UPDATE JubilaeumTeilnahme SET anmeldung_zelt = ( SELECT zeltnummer FROM AnmeldungVerwaltung WHERE uid = '". $_POST['uid'][$index] ."' ) WHERE anmeldung_uid = '". $_POST['uid'][$index] ."'";
                $mydb->query($sql);
              }
              else
              {
                echo "<font color=\"#aa4444\"><b>Keine g&uuml;tige juid beim: " . $_POST['nachname'][$index] . ", " . $_POST['vorname'][$index] ."</b></font><br>";
              }
            }
            else
            {
              $sql = "INSERT INTO `JubilaeumStammdaten` (`juid`, `nachname`, `vorname`, `geschlecht`, `geburtstag`, `startwert_1999`) VALUES (NULL, '". $_POST['nachname'][$index] ."', '". $_POST['vorname'][$index] ."', '". $_POST['geschlecht'][$index] ."', '". $_POST['geburtstag'][$index] ."', '0');";
              $mydb->query($sql);
              
              $sql = "INSERT INTO `JubilaeumTeilnahme` (`id`, `juid`, `anmeldung_uid`, `anmeldung_gruppe`, `zeltlagerjahr`) VALUES (NULL, '". $mydb->insert_id() ."', '". $_POST['uid'][$index] ."', '". $_POST['gruppe'][$index] ."', '". $aktuellesjahr ."');";
              $mydb->query($sql);
              
              $sql = "UPDATE JubilaeumTeilnahme SET anmeldung_zelt = ( SELECT zeltnummer FROM AnmeldungVerwaltung WHERE uid = '". $_POST['uid'][$index] ."' ) WHERE anmeldung_uid = '". $_POST['uid'][$index] ."'";
              $mydb->query($sql);
            }
          }
        }
    }
      
 //echo "<div class=\"panel panel-default\"><div class=\"panel-body\">";
 // echo "<div class=\"table-responsive\">";
 // echo "<table class=\"table table-striped table-bordered table-hover\" id=\"dataTables-show\">";
    

    $sql = "SELECT a.uid,  a.nachname, a.vorname, s.step, t.juid, j.startwert_1999, v.gruppe, p.geschlecht, p.geburtstag FROM AnmeldungAdressen a LEFT JOIN AnmeldungStatus s ON a.uid = s.uid  LEFT JOIN JubilaeumTeilnahme t ON a.uid = t.anmeldung_uid LEFT JOIN JubilaeumStammdaten j ON t.juid = j.juid LEFT JOIN AnmeldungPerson as p ON s.uid = p.uid LEFT JOIN AnmeldungVerwaltung as v ON s.uid = v.uid WHERE s.step >= 11 AND s.bestaetigt = 1 AND v.gruppe < 5 AND v.gruppe > 0 ORDER BY a.nachname COLLATE latin1_german2_ci, a.vorname COLLATE latin1_german2_ci";
    $mydb->query($sql);
    
    echo "<h4>Anlegen einer neuen Jubiläums-ID mit dem Schlüsselwort \"new\" anstelle der ID!</h4>";
    echo "<form action=\"index.php?pageId=6\" method=\"post\">";
     echo "<br><p align = center><input type=\"submit\" name=\"submit\" value=\"Änderungen übernehmen\" class=\"btn btn-outline btn-primary btn-lg btn-block\"></p>"; 
    echo "<div class=\"row\"><div class=\"panel panel-default\"><div class=\"table-responsive\"><table class=\"table table-striped table-hover\" id=\"dataTables-show\">\n";
    echo "<thead><tr><th>Nachname</th><th>Vorname</th><th>Anzahl an Zeltlager<br>(inklusiv $aktuellesjahr)</th><th>Jubil&auml;ums-ID</th></th><th>Jubi-Stammdaten</th></tr></thead><tbody>";
    while ($row = $mydb->fetchRow())
    {  
       echo "<tr bgcolor=\"#ffffff\"><td>". $row['nachname'] ."</td><td>". $row['vorname']." </td>";
       
       if ($row['juid'])
       {
            $sql2 = "SELECT * FROM JubilaeumTeilnahme WHERE juid=". $row['juid'];
            $mydb2->query($sql2);
            $teilnahmen =  $mydb2->count() + $row['startwert_1999'];
            if ( ($teilnahmen >= 10) && ($teilnahmen % 5 == 0) )
            {
             echo "<td bgcolor=\"#418E39\" ><b>" . $teilnahmen ."</b></td>";   
            }
            else
            {
                echo "<td>" . $teilnahmen ."</td>";
            }
            echo "<td>$row[juid]</td>";
            
            $sql2 = "SELECT * FROM JubilaeumStammdaten WHERE juid=". $row['juid'];
            $mydb2->query($sql2);
            $row2 = $mydb2->fetchRow();
            echo "<td>". $row2['nachname'] . " ". $row2['vorname'] ."</td>";
            
       }
       else
       {
            echo "<td> - </td>";
            echo "<td  bgcolor=\"#dd7777\" align=\"center\"><input type=\"text\" class=\"juidfield\" id=\"".$row['uid']."\" name=\"juid[]\" value=\"\" size=\"4\" maxlength=\"4\"></td>";
            echo "<td align=\"center\" class=\"linieunten\"> - </td>";
            echo "<input type=\"hidden\" name=\"uid[]\" value=\"". $row['uid'] ."\" >";
            echo "<input type=\"hidden\" name=\"nachname[]\" value=\"". $row['nachname'] ."\" >";  
            echo "<input type=\"hidden\" name=\"vorname[]\" value=\"". $row['vorname'] ."\" >";
            echo "<input type=\"hidden\" name=\"gruppe[]\" value=\"". $row['gruppe'] ."\" >";
            echo "<input type=\"hidden\" name=\"geschlecht[]\" value=\"". $row['geschlecht'] ."\" >";
            echo "<input type=\"hidden\" name=\"geburtstag[]\" value=\"". $row['geburtstag'] ."\" >";
            
       }
       echo "</tr>\n";
    }     
    
    echo "</tbody></table></div></div></div>\n";
    echo "<br><p align = center><input type=\"submit\" name=\"submit\" value=\"Änderungen übernehmen\" class=\"btn btn-outline btn-primary btn-lg btn-block\"></p>";
    echo "</form>";
    
    echo "<div id=\"results\"></div>";
    $mydb->disconnect();
    $mydb2->disconnect();

?>
